Summary: DELL LSPP/EAL4+ Certified Config
Name: lspp-eal4-config-dell
Version: 1.0
Release: 1%{?dist}
License: GPL
Group: Applications/System
URL: http://klaus.vh.swiftco.net/lspp/git/
Source0: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
BuildArch: noarch
Requires: kernel = 2.6.18

%description
This package contains utilities and documentation for putting a machine
in configuration for the Controlled Access Protection Profile or
the Labeled Security Protection Profile.

%prep
%setup -q

%build

%install
rm -rf $RPM_BUILD_ROOT
make NAME=lspp-eal4-config-dell ECG=DELL-LSPP-EAL4-Configuration-Guide RPM_SITE=ftp://ftp.redhat.com/pub/redhat/linux/eal/EAL4_RHEL5/DELL/ DESTDIR=${RPM_BUILD_ROOT} VERSION=%{version} RELEASE=%{release} install
make -C rbac-self-test NAME=lspp-eal4-config-dell DESTDIR=${RPM_BUILD_ROOT} VERSION=%{version} RELEASE=%{release} install

# Remove man pages & other docs, they will be handled differently
rm -f ${RPM_BUILD_ROOT}/%{_datadir}/doc/lspp-eal4-config-dell-%{version}/*.man
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/doc/lspp-eal4-config-dell-%{version}/doc

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc doc/*
%attr(0750,root,root) %{_sbindir}/capp-lspp-config
%attr(0755,root,root) %dir %{_datadir}/capp-lspp
%attr(0755,root,root) %dir %{_datadir}/capp-lspp/kickstart
%attr(0644,root,root) %{_datadir}/capp-lspp/kickstart/*
%attr(0644,root,root) %{_datadir}/capp-lspp/*.pam*
%attr(0644,root,root) %{_datadir}/capp-lspp/*.xinetd
%attr(0644,root,root) %{_datadir}/capp-lspp/*.defs
%attr(0644,root,root) %{_datadir}/capp-lspp/*.conf
%attr(0644,root,root) %{_datadir}/capp-lspp/*.te
%attr(0644,root,root) %{_datadir}/capp-lspp/mime.*
%attr(0644,root,root) %{_datadir}/capp-lspp/sshd_config
%attr(0755,root,root) %{_datadir}/capp-lspp/*.service
%attr(0644,root,root) %{_mandir}/man*/*
%attr(0700,root,root) %{_sbindir}/rbac-self-test
%attr(0700,root,root) %{_sbindir}/rbac-self-test-helper
%config(noreplace) %attr(0600,root,root) %{_sysconfdir}/security/rbac-self-test.conf
%attr(0755,root,root) %dir %{_datadir}/capp-lspp/rbac-self-test
%attr(0644,root,root) %{_datadir}/capp-lspp/rbac-self-test/*

%changelog
* Wed Sep 30 2009 Steve Grubb <sgrubb@redhat.com> 1.0-1
- Initial build.

